Index: c/src/lib/libbsp/arm/altera-cyclone-v/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/altera-cyclone-v/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/altera-cyclone-v/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
+all-local: $(TMPINSTALL_FILES)
+
+TMPINSTALL_FILES =
+CLEANFILES += $(TMPINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
-
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/csb336/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/csb336/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/csb336/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/csb337/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/csb337/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/csb337/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/edb7312/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/edb7312/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/edb7312/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/arm/gdbarmsim/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/gdbarmsim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/gp32/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/gp32/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/gp32/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/gumstix/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/gumstix/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/gumstix/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/lm3s69xx/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/lm3s69xx/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/lm3s69xx/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/lpc24xx/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/lpc24xx/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/lpc32xx/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/lpc32xx/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/nds/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/nds/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/nds/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/raspberrypi/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/raspberrypi/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/realview-pbx-a9/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/realview-pbx-a9/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/realview-pbx-a9/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/stm32f4/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/stm32f4/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/stm32f4/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/tms570/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/tms570/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/tms570/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/arm/xilinx-zynq/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/xilinx-zynq/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/arm/xilinx-zynq/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/bfin/TLL6527M/preinstall.am
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/bfin/TLL6527M/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/bfin/bf537Stamp/preinstall.am
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/bfin/bf537Stamp/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/bfin/eZKit533/preinstall.am
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/bfin/eZKit533/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/lm32/lm32_evr/preinstall.am
===================================================================
--- c/src/lib/libbsp/lm32/lm32_evr/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/lm32/lm32_evr/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/lm32/milkymist/preinstall.am
===================================================================
--- c/src/lib/libbsp/lm32/milkymist/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/lm32/milkymist/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m32r/m32rsim/preinstall.am
===================================================================
--- c/src/lib/libbsp/m32r/m32rsim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m32r/m32rsim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/m68k/av5282/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/av5282/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/av5282/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/csb360/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/csb360/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/csb360/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/gen68302/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/gen68302/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/m68k/gen68340/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/gen68340/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/gen68360/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/gen68360/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/genmcf548x/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/genmcf548x/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/idp/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/idp/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/idp/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mcf52235/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mcf52235/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/m68k/mcf5235/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mcf5235/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mcf5329/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mcf5329/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mrm332/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mrm332/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mvme136/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mvme136/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mvme147/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mvme147/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mvme147s/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mvme147s/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mvme162/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mvme162/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/mvme167/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/mvme167/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/m68k/ods68302/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/ods68302/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/m68k/uC5282/preinstall.am
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/m68k/uC5282/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/mips/csb350/preinstall.am
===================================================================
--- c/src/lib/libbsp/mips/csb350/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/mips/csb350/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/mips/genmongoosev/preinstall.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/mips/genmongoosev/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/mips/malta/preinstall.am
===================================================================
--- c/src/lib/libbsp/mips/malta/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/mips/malta/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/mips/rbtx4938/preinstall.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/mips/rbtx4938/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/moxie/moxiesim/preinstall.am
===================================================================
--- c/src/lib/libbsp/moxie/moxiesim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/moxie/moxiesim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/nios2/nios2_iss/preinstall.am
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/nios2/nios2_iss/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/no_cpu/no_bsp/preinstall.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/no_cpu/no_bsp/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/or1k/or1ksim/preinstall.am
===================================================================
--- c/src/lib/libbsp/or1k/or1ksim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/or1k/or1ksim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/beatnik/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/beatnik/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/beatnik/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES += $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/ep1a/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/ep1a/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/gen5200/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/gen5200/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
+all-local: $(TMPINSTALL_FILES)
+
+TMPINSTALL_FILES =
+CLEANFILES = $(TMPINSTALL_FILES)
+
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES += $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
-
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/gen83xx/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/gen83xx/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/haleakala/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/haleakala/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/mbx8xx/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/mbx8xx/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/mpc8260ads/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/psim/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/psim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/qemuppc/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/qemuppc/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/qemuppc/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/qoriq/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/qoriq/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/score603e/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/score603e/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/ss555/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/ss555/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/t32mppc/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/t32mppc/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/virtex/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/virtex/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/powerpc/virtex4/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex4/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/virtex4/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/virtex5/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex5/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/powerpc/virtex5/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,16 +6,16 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
 
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sh/gensh1/preinstall.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sh/gensh1/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES += $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES += $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sh/gensh2/preinstall.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sh/gensh2/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES += $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES += $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sh/gensh4/preinstall.am
===================================================================
--- c/src/lib/libbsp/sh/gensh4/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sh/gensh4/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/sh/shsim/preinstall.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sh/shsim/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sparc/erc32/preinstall.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sparc/erc32/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sparc/leon2/preinstall.am
===================================================================
--- c/src/lib/libbsp/sparc/leon2/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sparc/leon2/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES += $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sparc/leon3/preinstall.am
===================================================================
--- c/src/lib/libbsp/sparc/leon3/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sparc/leon3/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -5,7 +5,4 @@
 	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
-
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 all-local: $(TMPINSTALL_FILES)
@@ -18,4 +15,7 @@
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: c/src/lib/libbsp/sparc64/usiii/preinstall.am
===================================================================
--- c/src/lib/libbsp/sparc64/usiii/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libbsp/sparc64/usiii/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
+all-local: $(TMPINSTALL_FILES)
+
+TMPINSTALL_FILES =
+CLEANFILES = $(TMPINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
-
-all-local: $(TMPINSTALL_FILES)
-
-TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
 
 all-am: $(PREINSTALL_FILES)
Index: c/src/lib/libcpu/arm/preinstall.am
===================================================================
--- c/src/lib/libcpu/arm/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/arm/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: c/src/lib/libcpu/bfin/preinstall.am
===================================================================
--- c/src/lib/libcpu/bfin/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/bfin/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: c/src/lib/libcpu/lm32/preinstall.am
===================================================================
--- c/src/lib/libcpu/lm32/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/lm32/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES += $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES += $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 if shared
Index: c/src/lib/libcpu/mips/preinstall.am
===================================================================
--- c/src/lib/libcpu/mips/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/mips/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/libcpu/$(dirstamp):
Index: c/src/lib/libcpu/powerpc/preinstall.am
===================================================================
--- c/src/lib/libcpu/powerpc/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/powerpc/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: c/src/lib/libcpu/sparc64/preinstall.am
===================================================================
--- c/src/lib/libcpu/sparc64/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/lib/libcpu/sparc64/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 if shared
Index: c/src/librtems++/preinstall.am
===================================================================
--- c/src/librtems++/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ c/src/librtems++/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,4 +6,9 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES = $(PREINSTALL_DIRS)
@@ -12,10 +17,5 @@
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: cpukit/ftpd/preinstall.am
===================================================================
--- cpukit/ftpd/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/ftpd/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES = $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: cpukit/mghttpd/preinstall.am
===================================================================
--- cpukit/mghttpd/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/mghttpd/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: cpukit/posix/preinstall.am
===================================================================
--- cpukit/posix/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/posix/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: cpukit/preinstall.am
===================================================================
--- cpukit/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES += $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: cpukit/score/cpu/bfin/preinstall.am
===================================================================
--- cpukit/score/cpu/bfin/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/bfin/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/cpu/h8300/preinstall.am
===================================================================
--- cpukit/score/cpu/h8300/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/h8300/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/cpu/i386/preinstall.am
===================================================================
--- cpukit/score/cpu/i386/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/i386/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/cpu/m32r/preinstall.am
===================================================================
--- cpukit/score/cpu/m32r/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/m32r/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/$(dirstamp):
Index: cpukit/score/cpu/mips/preinstall.am
===================================================================
--- cpukit/score/cpu/mips/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/mips/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/cpu/powerpc/preinstall.am
===================================================================
--- cpukit/score/cpu/powerpc/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/powerpc/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/cpu/sparc64/preinstall.am
===================================================================
--- cpukit/score/cpu/sparc64/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/cpu/sparc64/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-am: $(PREINSTALL_FILES)
 
 PREINSTALL_FILES =
 CLEANFILES = $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/score/preinstall.am
===================================================================
--- cpukit/score/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/score/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 PREINSTALL_DIRS =
 DISTCLEANFILES += $(PREINSTALL_DIRS)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES = $(PREINSTALL_FILES)
 
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
Index: cpukit/telnetd/preinstall.am
===================================================================
--- cpukit/telnetd/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/telnetd/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -9,13 +9,13 @@
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 
+all-am: $(PREINSTALL_FILES)
+
+PREINSTALL_FILES =
+CLEANFILES = $(PREINSTALL_FILES)
+
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
-CLEANFILES = $(TMPINSTALL_FILES)
-
-all-am: $(PREINSTALL_FILES)
-
-PREINSTALL_FILES =
-CLEANFILES += $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
 
 $(PROJECT_LIB)/$(dirstamp):
Index: cpukit/zlib/preinstall.am
===================================================================
--- cpukit/zlib/preinstall.am	(revision d04cb1242d0b359acd9c7f976dd8b6472e5da101)
+++ cpukit/zlib/preinstall.am	(revision b597c0d60ce789c3f3708108c7a5abd75eecfbdf)
@@ -6,11 +6,11 @@
 endif
 
-PREINSTALL_DIRS =
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
 all-local: $(TMPINSTALL_FILES)
 
 TMPINSTALL_FILES =
 CLEANFILES += $(TMPINSTALL_FILES)
+
+PREINSTALL_DIRS =
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 all-am: $(PREINSTALL_FILES)
